echo off
echo ""
echo "S2600TP Flashing R0027_ME..."
.\WinPEUtils_x64\IFlash32\DeviceSetup install .\WinPEUtils_x64\IFlash32\flashud.inf *int0800
.\WinPEUtils_x64\IFlash32\DeviceSetup install .\WinPEUtils_x64\IFlash32\IBSMUx64.inf *IntelUtilDeV
.\WinPEUtils_x64\IFlash32\\DeviceSetup.exe install .\WinPEUtils_x64\IFlash32\\imbdrv.inf *IMBDRV
.\WinPEUtils_x64\IFlash32\IFlash32 /u /ni R0027_ME.cap
echo ""
echo "R0027_ME update completed..."

echo "Update Flash Descriptor to R0027_FD"
.\WinPEUtils_x64\IFlash32\IFlash32 /u /ni R0027_FD.cap

echo ""
echo S2600TP Integrated BMC Firmware Update rev BMC_i_0153r11210
echo Performing a signed image update of the Integrated BMC Firmware.
echo ""
.\WinPEUtils_x64\FWPIAUPD\Devicesetup.exe remove *IPI0001
.\WinPEUtils_x64\FWPIAUPD\DeviceSetup install .\WinPEUtils_x64\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x64\FWPIAUPD\FWPIAUPD -u -bin -ni -b -o -pia -nopc -if=usb BMC_i_0153r11210.bin

echo "Update BIOS to R0027"
.\WinPEUtils_x64\IFlash32\IFlash32 -u R0027.cap UpdateBackupBios -ni

echo "Update FRUSDR using FRUSDR utility"
.\WinPEUtils_x64\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x64\FRUSDR\imbdrv.inf *IMBDRV
.\WinPEUtils_x64\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x64\FRUSDR\ibsmux64.inf *IntelUtilDeV
.\WinPEUtils_x64\FRUSDR\frusdr -cfg master.cfg

echo "Updates completed. Please reboot using the front panel button."

echo on
